summary refs log tree commit diff
diff options
context:
space:
mode:
authorFlorian Klink <flokli@flokli.de>2019-08-16 15:48:59 +0200
committerFlorian Klink <flokli@flokli.de>2019-08-17 16:45:57 +0200
commit88146a095f5040b5beb9612c63604493aefa9fd2 (patch)
tree088e845884fb77a322a405fe1662751b1dd6f730
parente1b80a5a99a3013c6556ec2e2e73ef6ca8e8b80b (diff)
downloadnixpkgs-88146a095f5040b5beb9612c63604493aefa9fd2.tar
nixpkgs-88146a095f5040b5beb9612c63604493aefa9fd2.tar.gz
nixpkgs-88146a095f5040b5beb9612c63604493aefa9fd2.tar.bz2
nixpkgs-88146a095f5040b5beb9612c63604493aefa9fd2.tar.lz
nixpkgs-88146a095f5040b5beb9612c63604493aefa9fd2.tar.xz
nixpkgs-88146a095f5040b5beb9612c63604493aefa9fd2.tar.zst
nixpkgs-88146a095f5040b5beb9612c63604493aefa9fd2.zip
wrapQtAppsHook: use isELFExec
This ensures we only wrap executables, not shared libraries
-rw-r--r--pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh b/pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh
index e7d7d132617..eb6e7715385 100644
--- a/pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh
+++ b/pkgs/development/libraries/qt-5/hooks/wrap-qt-apps-hook.sh
@@ -82,7 +82,7 @@ wrapQtAppsHook() {
 
         find "$targetDir" -executable -print0 | while IFS= read -r -d '' file
         do
-            isELF "$file" || continue
+            isELFExec "$file" || continue
 
             if [ -f "$file" ]
             then